API reference
SSH Keys
GET
header
AuthorizationBearer <token>label_selector?stringFilter by labels: env=prod, env!=prod, env (has key), !env; comma = AND
SSH keys
application/json- response
ssh_keys*array<>curl -X GET "https://example.com/ssh_keys"{ "ssh_keys": [ { "id": 0, "name": "string", "fingerprint": "SHA256:...", "public_key": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" } ]}POST
header
AuthorizationBearer <token>application/json- body
name*stringLength
1 <= length <= 64public_key*stringLength
length <= 16384labels?Up to 64 key/value pairs; keys and values up to 63 characters
Created
application/json- response
ssh_key*curl -X POST "https://example.com/ssh_keys" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "public_key": "string" }'{ "ssh_key": { "id": 0, "name": "string", "fingerprint": "SHA256:...", "public_key": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}GET
header
AuthorizationBearer <token>id*integerFormat
int64SSH key
application/json- response
ssh_key*curl -X GET "https://example.com/ssh_keys/0"{ "ssh_key": { "id": 0, "name": "string", "fingerprint": "SHA256:...", "public_key": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}DELETE
header
AuthorizationBearer <token>id*integerFormat
int64Deleted
curl -X DELETE "https://example.com/ssh_keys/0"Empty
PUT
header
AuthorizationBearer <token>id*integerFormat
int64application/json- body
name?stringLength
1 <= length <= 64labels?Up to 64 key/value pairs; keys and values up to 63 characters
Updated
application/json- response
ssh_key*curl -X PUT "https://example.com/ssh_keys/0" \ -H "Content-Type: application/json" \ -d '{}'{ "ssh_key": { "id": 0, "name": "string", "fingerprint": "SHA256:...", "public_key": "string", "labels": { "property1": "string", "property2": "string" }, "created": "2019-08-24T14:15:22Z" }}